Läs inställningar för digitalt lager
Läs inställningar och antal före ändringar. Svaret innehåller inga koder eller filinnehåll.
GET
/api/v1/inventory/products/{product_id}/digital-poolcURL-begäran
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request GET \
--url https://shop.onshopently.com/api/v1/inventory/products/example/digital-pool \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'
Svar
{
"data": {
"configured": true,
"counts": {
"available": 1,
"held": 0,
"issued": 1,
"planned": 0,
"retired": 0,
"staged": 0
},
"email_mode": "order_link",
"enabled": true,
"order_version": 2,
"product_id": "example",
"retention_days": null,
"version": 1
},
"meta": {
"request_id": "example-request"
}
}
Behörigheter som krävs
- Autentisering
- Åtkomsttoken
- Tillgänglig från
- STANDARD
- Nyckelns behörighet
- Visa poolens koder och filer
inventory.digital_unit:read